import { Component } from '@angular/core';

@Component({
  selector: 'svg-facebook',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      fill="none"
    >
      <path
        d="M8.4875 14.3996H6.4377C6.09531 14.3996 5.8168 14.1211 5.8168 13.7787V9.15527H4.6209C4.27852 9.15527 4 8.87666 4 8.53437V6.55322C4 6.21084 4.27852 5.93232 4.6209 5.93232H5.8168V4.94023C5.8168 3.95654 6.12568 3.11963 6.70996 2.52012C7.29688 1.91787 8.11709 1.59961 9.08193 1.59961L10.6452 1.60215C10.987 1.60273 11.265 1.88125 11.265 2.22305V4.0625C11.265 4.40488 10.9866 4.6834 10.6443 4.6834L9.5918 4.68379C9.2708 4.68379 9.18906 4.74814 9.17158 4.76787C9.14277 4.80059 9.1085 4.89307 9.1085 5.14844V5.93223H10.5652C10.6749 5.93223 10.7812 5.95928 10.8725 6.01025C11.0694 6.12031 11.1919 6.32842 11.1919 6.55332L11.1911 8.53447C11.1911 8.87666 10.9126 9.15518 10.5702 9.15518H9.1085V13.7787C9.1085 14.1211 8.82988 14.3996 8.4875 14.3996ZM6.56719 13.6492H8.35801V8.81934C8.35801 8.59072 8.54404 8.40478 8.77256 8.40478H10.4407L10.4414 6.68271H8.77246C8.54395 6.68271 8.35801 6.49678 8.35801 6.26816V5.14844C8.35801 4.85527 8.38779 4.52187 8.60908 4.27129C8.87647 3.96836 9.29785 3.9334 9.5916 3.9334L10.5146 3.93301V2.35234L9.08135 2.35C7.53076 2.35 6.56719 3.34258 6.56719 4.94023V6.26816C6.56719 6.49668 6.38125 6.68271 6.15273 6.68271H4.75039V8.40478H6.15273C6.38125 8.40478 6.56719 8.59072 6.56719 8.81934V13.6492ZM10.6438 2.35254H10.6438H10.6438Z"
        fill="#9EADC5"
      />
    </svg>
  `,
})
export class SvgFacebookComponent {}
